Package org.apache.lucene.util

## Interface NamedSPILoader.NamedSPI

- All Known Implementing Classes:
    `Codec`, `DocValuesFormat`, `FilterCodec`, `KnnVectorsFormat`, `Lucene90DocValuesFormat`, `Lucene99Codec`, `Lucene99HnswScalarQuantizedVectorsFormat`, `Lucene99HnswVectorsFormat`, `Lucene99PostingsFormat`, `PerFieldDocValuesFormat`, `PerFieldKnnVectorsFormat`, `PerFieldPostingsFormat`, `PostingsFormat`, `SortedNumericSortField.Provider`, `SortedSetSortField.Provider`, `SortField.Provider`, `SortFieldProvider`
  Enclosing class:
    NamedSPILoader<S extends NamedSPILoader.NamedSPI>

      public static interface NamedSPILoader.NamedSPI

  Interface to support `NamedSPILoader.lookup(String)` by name.

  Names must be all ascii alphanumeric, and less than 128 characters in length.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getName()` |

- - ### Method Detail

    - #### getName

          String getName()